Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/level_report.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/level_report.py	(revision 14527)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/level_report.py	(revision 14528)
@@ -41,4 +41,6 @@
         if not hod:
             hod = 'Head of Department'
+        dean = dean.replace(' - ', '<br />')
+        hod = hod.replace(' - ', '<br />')
         return [hod, dean]
 
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/raw_score_report.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/raw_score_report.py	(revision 14527)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/raw_score_report.py	(revision 14528)
@@ -33,4 +33,6 @@
         if not hod:
             hod = 'Head of Department'
+        dean = dean.replace(' - ', '<br />')
+        hod = hod.replace(' - ', '<br />')
         return [hod, dean]
 
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/session_results_presentation.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/session_results_presentation.py	(revision 14527)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/session_results_presentation.py	(revision 14528)
@@ -57,4 +57,7 @@
         if not examiner:
             examiner = 'External Examiner'
+        dean = dean.replace(' - ', '<br />')
+        hod = hod.replace(' - ', '<br />')
+        examiner = examiner.replace(' - ', '<br />')
         return [hod, examiner, dean]
 
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_level_report.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_level_report.py	(revision 14527)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_level_report.py	(revision 14528)
@@ -36,6 +36,6 @@
     def test_create_pdf(self):
         self.student['studycourse']['100']['Course1'].ca = 0
-        self.app['faculties']['fac1'].officer_1 = 'Rosa Moonshine (Dean of Faculty)'
-        self.app['faculties']['fac1']['dep1'].officer_1 = 'Amalia Sunshine (Head of Department)'
+        self.app['faculties']['fac1'].officer_1 = 'Rosa Moonshine - Dean of Faculty'
+        self.app['faculties']['fac1']['dep1'].officer_1 = 'Amalia Sunshine - Head of Department'
         report = CustomLevelReport('fac1', 'dep1', 'CERT1', 2010, 100)
         result = report.create_pdf('JOB_ID')
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_raw_score_report.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_raw_score_report.py	(revision 14527)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_raw_score_report.py	(revision 14528)
@@ -61,6 +61,6 @@
         self.app['faculties']['fac1']['dep1'].certificates[
             'CERT1'].addCertCourse(self.course, level=100)
-        self.app['faculties']['fac1'].officer_1 = 'Rosa Moonshine (Dean of Faculty)'
-        self.app['faculties']['fac1']['dep1'].officer_1 = 'Amalia Sunshine (Head of Department)'
+        self.app['faculties']['fac1'].officer_1 = 'Rosa Moonshine - Dean of Faculty'
+        self.app['faculties']['fac1']['dep1'].officer_1 = 'Amalia Sunshine - Head of Department'
         studylevel = createObject('waeup.StudentStudyLevel')
         studylevel.level = 200
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_session_results_presentation.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_session_results_presentation.py	(revision 14527)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/tests/test_session_results_presentation.py	(revision 14528)
@@ -42,7 +42,7 @@
     def test_create_pdf(self):
         self.certificate.degree = 'BA(FS)'
-        self.app['faculties']['fac1'].officer_1 = 'Rosa Moonshine (Dean of Faculty)'
-        self.app['faculties']['fac1']['dep1'].officer_1 = 'Amalia Sunshine (Head of Department)'
-        self.app['faculties']['fac1']['dep1'].officer_2 = 'Theresa Starbright (External Examiner)'
+        self.app['faculties']['fac1'].officer_1 = 'Rosa Moonshine - Dean of Faculty'
+        self.app['faculties']['fac1']['dep1'].officer_1 = 'Amalia Sunshine - Head of Department'
+        self.app['faculties']['fac1']['dep1'].officer_2 = 'Theresa Starbright - External Examiner'
         report = CustomSessionResultsPresentation('fac1', 'dep1', 'CERT1', 2010, 100)
         result = report.create_pdf('JOB_ID')