Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py	(revision 14526)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py	(revision 14529)
@@ -83,5 +83,5 @@
                 stud.matric_number,
                 fullname,
-                level_obj.total_credits,
+                level_obj.gpa_params[1],
                 passed_params[2],
                 format_float(level_obj.gpa, 3),
@@ -89,5 +89,5 @@
                 failed_courses,
                 not_taken_courses,
-                level_obj.cumulative_params[3],
+                level_obj.cumulative_params[1],
                 level_obj.cumulative_params[4],
                 cgpa,
@@ -132,10 +132,10 @@
             'Matric No.',
             translate(_('Student Name')),
-            TTR(translate(_('Total Credits Registered'))),
+            TTR(translate(_('Total Credits Taken'))),
             TTR(translate(_('Total Credits Passed'))),
             TTR(translate(_('GPA'))),
             translate(_('Courses Failed')),
             translate(_('Outstanding Courses')),
-            TTR(translate(_('Cum. Credits Registered'))),
+            TTR(translate(_('Cum. Credits Taken'))),
             TTR(translate(_('Cum. Credits Passed'))),
             TTR(translate(_('CGPA'))),
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_level_report.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_level_report.py	(revision 14526)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_level_report.py	(revision 14529)
@@ -23,5 +23,13 @@
         return
 
-    def test_get_students(self):
+        # Credits counted (taken): 90
+        # Credits passed: 60
+        # Credits failed: 30
+        # Credits registered (total_credits): 180
+        # Course1 and Course3 are passed
+        # Course2 is failed
+        # Course4, Course5 and Course6 have not ben taken
+
+    def _add_tickets(self):
         ticket = createObject('waeup.CourseTicket')
         ticket.code = 'Course2'
@@ -44,14 +52,28 @@
         ticket.passmark = 40
         self.student['studycourse']['100']['Course4'] = ticket
-        # we can get a table with one student
+        ticket = createObject('waeup.CourseTicket')
+        ticket.code = 'Course5'
+        ticket.credits = 30
+        self.student['studycourse']['100']['Course5'] = ticket
+        ticket = createObject('waeup.CourseTicket')
+        ticket.code = 'Course6'
+        ticket.credits = 30
+        self.student['studycourse']['100']['Course6'] = ticket
+        return
+
+    def test_get_students(self):
+        self._add_tickets()
+         # we can get a table with one student
         result = get_students('fac1', 'dep1', 'CERT1', 2010, 100)
         self.assertEqual(result,
-            [(u'1234', u'Bob Tester', 120, 30, '1.666',
-            'm_Course2_m Course3', 'Course4', 120, 30, '1.666', '')])
+            [(u'1234', u'Bob Tester', 90, 30, '1.666',
+            'm_Course2_m Course3', 'Course4 Course5\nCourse6',
+            90, 30, '1.666', '')])
         # same result when selecting all certificates
         result = get_students('fac1', 'dep1', 'all', 2010, 100)
         self.assertEqual(result,
-            [(u'1234', u'Bob Tester', 120, 30, '1.666',
-            'm_Course2_m Course3', 'Course4', 120, 30, '1.666', '')])
+            [(u'1234', u'Bob Tester', 90, 30, '1.666',
+            'm_Course2_m Course3', 'Course4 Course5\nCourse6',
+            90, 30, '1.666', '')])
         return
 
@@ -60,28 +82,5 @@
         self.student.lastname = u'Ehissouria'
         self.student['studycourse']['100']['Course1'].passmark = 40
-        ticket = createObject('waeup.CourseTicket')
-        ticket.code = 'Course2'
-        ticket.credits = 30
-        ticket.score = 30
-        ticket.mandatory = True
-        ticket.passmark = 40
-        self.student['studycourse']['100']['Course2'] = ticket
-        ticket = createObject('waeup.CourseTicket')
-        ticket.code = 'Course3'
-        ticket.credits = 30
-        ticket.score = 30
-        self.student['studycourse']['100']['Course3'] = ticket
-        ticket2 = createObject('waeup.CourseTicket')
-        ticket2.code = 'Course4'
-        ticket2.credits = 30
-        self.student['studycourse']['100']['Course4'] = ticket2
-        ticket3 = createObject('waeup.CourseTicket')
-        ticket3.code = 'Course5'
-        ticket3.credits = 30
-        self.student['studycourse']['100']['Course5'] = ticket3
-        ticket4 = createObject('waeup.CourseTicket')
-        ticket4.code = 'Course6'
-        ticket4.credits = 30
-        self.student['studycourse']['100']['Course6'] = ticket4
+        self._add_tickets()
         report = LevelReport('fac1', 'dep1', 'all', 2010, 100)
         result = report.create_pdf('JOB_ID')
@@ -89,11 +88,4 @@
         path = os.path.join(samples_dir(), 'level_report.pdf')
         open(path, 'wb').write(result)
-        # Credits counted (taken): 90
-        # Credits passed: 60
-        # Credits failed: 30
-        # Credits registered (total_credits): 180
-        # Course1 and Course3 are passed
-        # Course2 is failed
-        # Course4, Course5 and Course6 have not ben taken
         print "Sample level_report.pdf written to %s" % path
         return