Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/browser_templates/studentpaymentstatisticsreportgeneratorpage.pt
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/browser_templates/studentpaymentstatisticsreportgeneratorpage.pt	(revision 14547)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/browser_templates/studentpaymentstatisticsreportgeneratorpage.pt	(revision 14547)
@@ -0,0 +1,79 @@
+<form  i18n:domain="waeup.kofa"  method="POST">
+  <p i18n:translate="">
+    Please pick the session and study modes group
+    for which the report should be generated.
+    The report data will be calculated and then made available for you
+    to view/download.
+  </p>
+  <br />
+  <label for="breakdown" i18n:translate="">Breakdown</label>
+    <select name="breakdown" class="form-control half">
+      <span tal:repeat="items view/breakdowns" tal:omit-tag="">
+        <option
+            tal:define="name python: items[1]; title python: items[0]"
+            tal:attributes="value name">
+          <span tal:replace="title">TITLE</span>
+        </option>
+      </span>
+    </select>
+  <br />
+  <label for="session" i18n:translate="">Study Modes Group</label>
+    <select name="mode" class="form-control half">
+      <span tal:repeat="items view/modes" tal:omit-tag="">
+        <option
+            tal:define="name python: items[1]; title python: items[0]"
+            tal:attributes="value name">
+          <span tal:replace="title">TITLE</span>
+        </option>
+      </span>
+    </select>
+  <br />
+  <label for="session">Academic Session</label>
+  <select name="session" class="form-control half">
+    <span tal:repeat="items view/sessions_plus" tal:omit-tag="">
+      <option
+          tal:define="name python: items[1]; title python: items[0]"
+          tal:attributes="value name">
+        <span tal:replace="title">TITLE</span>
+      </option>
+    </span>
+  </select>
+  <br />
+  <label for="level">Current Level</label>
+  <select name="level" class="form-control half">
+    <span tal:repeat="items view/levels" tal:omit-tag="">
+      <option
+          tal:define="name python: items[1]; title python: items[0]"
+          tal:attributes="value name">
+        <span tal:replace="title">TITLE</span>
+      </option>
+    </span>
+  </select>
+  <br />
+  <label for="entry_session">Entry Session</label>
+  <select name="entry_session" class="form-control half">
+    <span tal:repeat="items view/sessions_plus" tal:omit-tag="">
+      <option
+          tal:define="name python: items[1]; title python: items[0]"
+          tal:attributes="value name">
+        <span tal:replace="title">TITLE</span>
+      </option>
+    </span>
+  </select>
+  <br />
+  <label for="p_session">Payment Session</label>
+  <select name="p_session" class="form-control half">
+    <span tal:repeat="items view/sessions_plus" tal:omit-tag="">
+      <option
+          tal:define="name python: items[1]; title python: items[0]"
+          tal:attributes="value name">
+        <span tal:replace="title">TITLE</span>
+      </option>
+    </span>
+  </select>
+  <br />
+  <input i18n:translate="" type="submit" class="btn btn-primary"
+         name="CREATE" value="Create" />
+  <a class="btn btn-default" href=""
+     tal:attributes="href view/parent_url">Cancel</a>
+</form>
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/student_payment_statistics.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/student_payment_statistics.py	(revision 14547)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/reports/student_payment_statistics.py	(revision 14547)
@@ -0,0 +1,28 @@
+## $Id$
+##
+## Copyright (C) 2013 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+
+import grok
+from waeup.kofa.students.reports.student_payment_statistics import (
+    StudentPaymentStatisticsReportGeneratorPage)
+
+grok.templatedir('browser_templates')
+
+class CustomStudentPaymentStatisticsReportGeneratorPage(
+    StudentPaymentStatisticsReportGeneratorPage):
+
+    grok.template('studentpaymentstatisticsreportgeneratorpage')