Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studyleveleditpage.pt
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studyleveleditpage.pt	(revision 14575)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studyleveleditpage.pt	(revision 14576)
@@ -19,4 +19,5 @@
       <th i18n:translate="">Credits</th>
       <th i18n:translate="">CO</th>
+      <th i18n:translate="">OS</th>
     </tr>
   </thead>
@@ -37,4 +38,5 @@
       <td tal:content="value/credits">CREDITS</td>
       <td tal:content="value/carry_over">CO</td>
+      <td tal:content="value/outstanding">OS</td>
     </tr>
   </tbody>
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studylevelmanagepage.pt	(revision 14575)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studylevelmanagepage.pt	(revision 14576)
@@ -48,4 +48,5 @@
             <th i18n:translate="">CA</th>
             <th i18n:translate="">CO</th>
+            <th i18n:translate="">OS</th>
             <th i18n:translate="">Auto</th>
           </tr>
@@ -69,4 +70,5 @@
             <td tal:content="value/ca|nothing">CA</td>
             <td tal:content="value/carry_over">CO</td>
+            <td tal:content="value/outstanding">OS</td>
             <td tal:content="value/automatic">AUTO</td>
           </tr>
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studylevelpage.pt
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studylevelpage.pt	(revision 14575)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/browser_templates/studylevelpage.pt	(revision 14576)
@@ -32,4 +32,5 @@
       <th i18n:translate="" tal:condition="view/show_results" >Grade</th>
       <th i18n:translate="">CO</th>
+      <th i18n:translate="">OS</th>
       <th i18n:translate="">Auto</th>
     </tr>
@@ -50,4 +51,5 @@
       <td tal:condition="view/show_results" tal:content="value/grade|nothing">GRADE</td>
       <td tal:content="value/carry_over">CO</td>
+      <td tal:content="value/outstanding">OS</td>
       <td tal:content="value/automatic">AUTO</td>
     </tr>
@@ -55,4 +57,11 @@
 </table>
 
+<p i18n:translate="">
+  CO: Carry-over course<br />
+  OS: Outstanding course<br />
+  Requ.: Required course<br />
+  Auto: Automatically created course ticket
+</p>
+
 <div i18n:domain="waeup.kofa"
   tal:condition="python: not len(context.keys())" i18n:translate="">
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py	(revision 14575)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py	(revision 14576)
@@ -48,5 +48,5 @@
         total = 0
         for ticket in self.values():
-            if ticket.semester == 1:
+            if ticket.semester == 1 and not ticket.outstanding:
                 total += ticket.credits
         return total
@@ -56,5 +56,5 @@
         total = 0
         for ticket in self.values():
-            if ticket.semester == 2:
+            if ticket.semester == 2 and not ticket.outstanding:
                 total += ticket.credits
         return total
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 14575)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 14576)
@@ -123,5 +123,5 @@
         self.assertEqual(
             self.student['studycourse']['100'].cumulative_params[0], 5.4)
-        self.assertEqual(self.student['studycourse']['100'].gpa, 4.3)
+        self.assertEqual(self.student['studycourse']['100'].gpa, '4.30')
         self.student['studycourse'].imported_cgpa = 6.6
         self.assertEqual(
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_export.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_export.py	(revision 14575)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_export.py	(revision 14576)
@@ -144,5 +144,5 @@
             'validated_by,validation_date,'
             'student_id,matric_number,number_of_tickets,certcode,cgpa\r\n'
-            '0.0,,,100,2012,A,100,,,,,A111111,234,1,CERT1,0.0\r\n'
+            '0.00,,,100,2012,A,100,,,,,A111111,234,1,CERT1,0.0\r\n'
             )
         return
@@ -167,7 +167,7 @@
             result,
             'automatic,ca,carry_over,code,credits,dcode,fcode,level,level_session,'
-            'mandatory,passmark,score,semester,title,student_id,certcode,'
+            'mandatory,outstanding,passmark,score,semester,title,student_id,certcode,'
             'display_fullname,matric_number\r\n'
-            '1,,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1,'
+            '1,,1,CRS1,100,DEP1,FAC1,100,2012,0,0,100,,2,Course 1,A111111,CERT1,'
             '"TESTER, Anna M.",234\r\n'
             )