Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py	(revision 14604)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py	(revision 14605)
@@ -32,90 +32,4 @@
     StudentStatisticsReportPDFView)
 
-class ILevelReport(IReport):
-
-    session = Attribute('Session to report')
-    level = Attribute('Level to report')
-    faccode = Attribute('Faculty to report')
-    depcode = Attribute('Department to report')
-    certcode = Attribute('Certificate to report')
-    creation_dt_string = Attribute('Human readable report creation datetime')
-
-def excluded(level_obj):
-    """Some universities may add further conditions to exclude
-    students from reports. These conditions can be customized in
-    this function.
-    """
-    return False
-
-def get_students(faccode, depcode, certcode, session, level):
-    """Get students in a certain department, studying a certain programmen
-    who registered courses in a certain session at a certain level.
-
-    Returns a list of student data tuples.
-    """
-    site = grok.getSite()
-    cat = queryUtility(ICatalog, name="students_catalog")
-    if certcode == 'all':
-        certcode = None
-    result = cat.searchResults(
-        depcode = (depcode, depcode), faccode = (faccode, faccode),
-        certcode = (certcode, certcode)
-        )
-    table = []
-    format_float = getUtility(IKofaUtils).format_float
-    for stud in result:
-        if not stud['studycourse'].has_key(str(level)):
-            continue
-        if stud.state == GRADUATED:
-            continue
-        level_obj = stud['studycourse'][str(level)]
-        if level_obj.level_session != session:
-            continue
-        if excluded(level_obj):
-            continue
-        passed_params = level_obj.passed_params
-        failed_courses = textwrap.fill(passed_params[4], 35)
-        not_taken_courses = textwrap.fill(passed_params[5], 17)
-        fullname = textwrap.fill(stud.display_fullname, 29)
-        # This is a very special column requested by AAUE, Nigeria.
-        # The 'remark' column remains empty in base package.
-        remark = getattr(level_obj, 'remark', '')
-        end_level = getattr(stud['studycourse'].certificate, 'end_level', None)
-        credits_counted = level_obj.gpa_params[1]
-        credits_passed = passed_params[2]
-        level_gpa = format_float(level_obj.gpa_params[0], 3)
-        cum_credits_taken = level_obj.cumulative_params[1]
-        cum_credits_passed = level_obj.cumulative_params[4]
-        if end_level and level >= end_level:
-            cgpa = format_float(level_obj.cumulative_params[0], 2)
-        else:
-            cgpa = format_float(level_obj.cumulative_params[0], 3)
-        if remark in ('FRNS', 'NER', 'NYV'):
-            cgpa = ''
-            if remark in ('NER', 'NYV'):
-                # hide all data (requestd by AAUE, Nigeria)
-                credits_counted = ''
-                credits_passed = ''
-                level_gpa = ''
-                failed_courses = ''
-                not_taken_courses = ''
-                cum_credits_taken = ''
-                cum_credits_passed = ''
-        line = (
-                stud.matric_number,
-                fullname,
-                credits_counted,
-                credits_passed,
-                level_gpa,
-                failed_courses,
-                not_taken_courses,
-                cum_credits_taken,
-                cum_credits_passed,
-                cgpa,
-                remark,
-                )
-        table.append(line)
-    return sorted(table, key=lambda value:value[0])
-
 from reportlab.lib import colors
 from reportlab.lib.styles import getSampleStyleSheet
@@ -194,4 +108,13 @@
     ]
 
+class ILevelReport(IReport):
+
+    session = Attribute('Session to report')
+    level = Attribute('Level to report')
+    faccode = Attribute('Faculty to report')
+    depcode = Attribute('Department to report')
+    certcode = Attribute('Certificate to report')
+    creation_dt_string = Attribute('Human readable report creation datetime')
+
 @implementer(ILevelReport)
 class LevelReport(Report):
@@ -207,4 +130,81 @@
     note = None
     signatures = None
+
+    def _excluded(self, level_obj):
+        """Some universities may add further conditions to exclude
+        students from reports. These conditions can be customized in
+        this function.
+        """
+        return False
+
+    def _get_students(self, faccode, depcode, certcode, session, level):
+        """Get students in a certain department, studying a certain programmen
+        who registered courses in a certain session at a certain level.
+
+        Returns a list of student data tuples.
+        """
+        site = grok.getSite()
+        cat = queryUtility(ICatalog, name="students_catalog")
+        if certcode == 'all':
+            certcode = None
+        result = cat.searchResults(
+            depcode = (depcode, depcode), faccode = (faccode, faccode),
+            certcode = (certcode, certcode)
+            )
+        table = []
+        format_float = getUtility(IKofaUtils).format_float
+        for stud in result:
+            if not stud['studycourse'].has_key(str(level)):
+                continue
+            if stud.state == GRADUATED:
+                continue
+            level_obj = stud['studycourse'][str(level)]
+            if level_obj.level_session != session:
+                continue
+            if self._excluded(level_obj):
+                continue
+            passed_params = level_obj.passed_params
+            failed_courses = textwrap.fill(passed_params[4], 35)
+            not_taken_courses = textwrap.fill(passed_params[5], 17)
+            fullname = textwrap.fill(stud.display_fullname, 29)
+            # This is a very special column requested by AAUE, Nigeria.
+            # The 'remark' column remains empty in base package.
+            remark = getattr(level_obj, 'remark', '')
+            end_level = getattr(stud['studycourse'].certificate, 'end_level', None)
+            credits_counted = level_obj.gpa_params[1]
+            credits_passed = passed_params[2]
+            level_gpa = format_float(level_obj.gpa_params[0], 3)
+            cum_credits_taken = level_obj.cumulative_params[1]
+            cum_credits_passed = level_obj.cumulative_params[4]
+            if end_level and level >= end_level:
+                cgpa = format_float(level_obj.cumulative_params[0], 2)
+            else:
+                cgpa = format_float(level_obj.cumulative_params[0], 3)
+            if remark in ('FRNS', 'NER', 'NYV'):
+                cgpa = ''
+                if remark in ('NER', 'NYV'):
+                    # hide all data (requestd by AAUE, Nigeria)
+                    credits_counted = ''
+                    credits_passed = ''
+                    level_gpa = ''
+                    failed_courses = ''
+                    not_taken_courses = ''
+                    cum_credits_taken = ''
+                    cum_credits_passed = ''
+            line = (
+                    stud.matric_number,
+                    fullname,
+                    credits_counted,
+                    credits_passed,
+                    level_gpa,
+                    failed_courses,
+                    not_taken_courses,
+                    cum_credits_taken,
+                    cum_credits_passed,
+                    cgpa,
+                    remark,
+                    )
+            table.append(line)
+        return sorted(table, key=lambda value:value[0])
 
     def __init__(self, faccode, depcode, certcode, session, level,
@@ -241,5 +241,5 @@
         self.creation_dt_string = self.creation_dt.astimezone(
             getUtility(IKofaUtils).tzinfo).strftime("%Y-%m-%d %H:%M:%S %Z")
-        self.data = get_students(faccode, depcode, certcode, session, level)
+        self.data = self._get_students(faccode, depcode, certcode, session, level)
 
     def create_pdf(self, job_id):
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/raw_score_report.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/raw_score_report.py	(revision 14604)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/raw_score_report.py	(revision 14605)
@@ -32,80 +32,4 @@
 from waeup.kofa.students.reports.student_statistics import (
     StudentStatisticsReportPDFView)
-
-class IRawScoreReport(IReport):
-
-    session = Attribute('Session to report')
-    level = Attribute('Level to report')
-    faccode = Attribute('Faculty to report')
-    depcode = Attribute('Department to report')
-    certcode = Attribute('Certificate to report')
-    creation_dt_string = Attribute('Human readable report creation datetime')
-
-def excluded(level_obj):
-    """Some universities may add further conditions to exclude
-    students from reports. These conditions can be customized in
-    this function.
-    """
-    return False
-
-def get_courses(faccode, depcode, certcode, session, level):
-    """Method 1: Get certificate courses of a
-    certain department/certificate at a certain level.
-    """
-    site = grok.getSite()
-    course_codes = []
-    department = site['faculties'][faccode][depcode]
-    if certcode == 'all':
-        for cert in department.certificates.values():
-            for certcourse in cert.values():
-                if certcourse.level == level:
-                    course_codes.append(certcourse.getCourseCode())
-    else:
-        certificate = site['faculties'][faccode][depcode].certificates[certcode]
-        for certcourse in certificate.values():
-            if certcourse.level == level:
-                course_codes.append(certcourse.getCourseCode())
-    return course_codes
-
-def get_students(faccode, depcode, certcode, session, level, course_codes):
-    """Get students in a certain department/certificate who registered courses
-    in a certain session at a certain level.
-
-    Returns a list of student data tuples.
-    """
-    cat = queryUtility(ICatalog, name="students_catalog")
-    if certcode == 'all':
-        certcode = None
-    result = cat.searchResults(
-        depcode = (depcode, depcode), faccode = (faccode, faccode),
-        certcode = (certcode, certcode)
-        )
-    table = []
-    for stud in result:
-        if not stud['studycourse'].has_key(str(level)):
-            continue
-        if stud.state == GRADUATED:
-            continue
-        level_obj = stud['studycourse'][str(level)]
-        if level_obj.level_session != session:
-            continue
-        if excluded(level_obj):
-            continue
-        scores = dict()
-        for ticket in level_obj.values():
-            if ticket.code in course_codes:
-                if ticket.total_score is not None:
-                    scores[ticket.code] = (ticket.total_score, ticket.grade)
-                else:
-                    scores[ticket.code] = ('Nil', '')
-        fullname = textwrap.fill(stud.display_fullname, 26)
-        line = (
-                stud.matric_number,
-                fullname,
-                scores,
-                )
-        table.append(line)
-    return sorted(table, key=lambda value:value[0])
-
 from reportlab.lib import colors
 from reportlab.lib.styles import getSampleStyleSheet
@@ -172,4 +96,13 @@
     ]
 
+class IRawScoreReport(IReport):
+
+    session = Attribute('Session to report')
+    level = Attribute('Level to report')
+    faccode = Attribute('Faculty to report')
+    depcode = Attribute('Department to report')
+    certcode = Attribute('Certificate to report')
+    creation_dt_string = Attribute('Human readable report creation datetime')
+
 @implementer(IRawScoreReport)
 class RawScoreReport(Report):
@@ -183,4 +116,70 @@
     note = ""
     signatures = None
+
+    def _excluded(self, level_obj):
+        """Some universities may add further conditions to exclude
+        students from reports. These conditions can be customized in
+        this function.
+        """
+        return False
+
+    def _get_courses(self, faccode, depcode, certcode, session, level):
+        """Method 1: Get certificate courses of a
+        certain department/certificate at a certain level.
+        """
+        site = grok.getSite()
+        course_codes = []
+        department = site['faculties'][faccode][depcode]
+        if certcode == 'all':
+            for cert in department.certificates.values():
+                for certcourse in cert.values():
+                    if certcourse.level == level:
+                        course_codes.append(certcourse.getCourseCode())
+        else:
+            certificate = site['faculties'][faccode][depcode].certificates[certcode]
+            for certcourse in certificate.values():
+                if certcourse.level == level:
+                    course_codes.append(certcourse.getCourseCode())
+        return course_codes
+
+    def _get_students(self, faccode, depcode, certcode, session, level, course_codes):
+        """Get students in a certain department/certificate who registered courses
+        in a certain session at a certain level.
+
+        Returns a list of student data tuples.
+        """
+        cat = queryUtility(ICatalog, name="students_catalog")
+        if certcode == 'all':
+            certcode = None
+        result = cat.searchResults(
+            depcode = (depcode, depcode), faccode = (faccode, faccode),
+            certcode = (certcode, certcode)
+            )
+        table = []
+        for stud in result:
+            if not stud['studycourse'].has_key(str(level)):
+                continue
+            if stud.state == GRADUATED:
+                continue
+            level_obj = stud['studycourse'][str(level)]
+            if level_obj.level_session != session:
+                continue
+            if self._excluded(level_obj):
+                continue
+            scores = dict()
+            for ticket in level_obj.values():
+                if ticket.code in course_codes:
+                    if ticket.total_score is not None:
+                        scores[ticket.code] = (ticket.total_score, ticket.grade)
+                    else:
+                        scores[ticket.code] = ('Nil', '')
+            fullname = textwrap.fill(stud.display_fullname, 26)
+            line = (
+                    stud.matric_number,
+                    fullname,
+                    scores,
+                    )
+            table.append(line)
+        return sorted(table, key=lambda value:value[0])
 
     def __init__(self, faccode, depcode, certcode, session, level,
@@ -221,8 +220,8 @@
         self.data = dict()
         for level in self.past_levels:
-            course_codes = get_courses(
+            course_codes = self._get_courses(
                 faccode, depcode, certcode, session, level)
             self.course_codes[level] = course_codes
-            self.data[level] = get_students(
+            self.data[level] = self._get_students(
                 faccode, depcode, certcode, session,
                 self.levelcode, course_codes)
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/session_results_presentation.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/session_results_presentation.py	(revision 14604)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/session_results_presentation.py	(revision 14605)
@@ -33,74 +33,4 @@
 from waeup.kofa.students.reports.student_statistics import (
     StudentStatisticsReportPDFView)
-
-
-class ISessionResultsPresentation(ILevelReport):
-
-    """ Same interface as for level session results presentation.
-    """
-
-def excluded(level_obj):
-    """Some universities may add further conditions to exclude
-    students from reports. These conditions can be customized in
-    this function.
-    """
-    return False
-
-def get_students(faccode, depcode, certcode, session, level=None):
-    """Get students in a certain department, studying a certain programmen
-    who registered courses in a certain session at a certain level.
-
-    Returns a list of lists of student data tuples.
-    """
-    site = grok.getSite()
-    cat = queryUtility(ICatalog, name="students_catalog")
-    if certcode == 'all':
-        certcode = None
-    result = cat.searchResults(
-        depcode = (depcode, depcode), faccode = (faccode, faccode),
-        certcode = (certcode, certcode)
-        )
-    students_utils = getUtility(IStudentsUtils)
-    table = list()
-    for i in range(len(students_utils.gpa_boundaries)+1):
-        # The last list is reserved for students with more than one
-        # level in the same session.
-        table.append([])
-    for stud in result:
-        if stud.state == GRADUATED:
-            continue
-        line = (stud.student_id,
-                stud.matric_number,
-                stud.display_fullname,
-                )
-        if level != 0:
-            if not stud['studycourse'].has_key(str(level)):
-                continue
-            level_obj = stud['studycourse'][str(level)]
-            if level_obj.level_session != session:
-                continue
-            if excluded(level_obj):
-                continue
-        else:
-            itemcount = 0
-            for item in stud['studycourse'].values():
-                if item.level_session == session:
-                    level_obj = item
-                    itemcount += 1
-            if itemcount == 0:
-                # No level registered in this session
-                continue
-            if itemcount > 1:
-                # Error: more than one level registered in this session
-                table[len(students_utils.gpa_boundaries)].append(line)
-                continue
-        gpaclass = students_utils.getDegreeClassNumber(level_obj)
-        table[gpaclass].append(line)
-        for i in range(len(students_utils.gpa_boundaries)+1):
-            if len(table[i]):
-                table[i] = sorted([value for value in table[i]],
-                    key=lambda value: value[2])
-    return table
-
 from reportlab.lib import colors
 from reportlab.lib.styles import getSampleStyleSheet
@@ -127,4 +57,8 @@
     ('ALIGN', (3,1), (-1,-1), 'RIGHT'),
     ]
+
+class ISessionResultsPresentation(ILevelReport):
+    """ Same interface as for level session results presentation.
+    """
 
 @implementer(ISessionResultsPresentation)
@@ -141,4 +75,67 @@
 
     note = None
+
+    def _excluded(self, level_obj):
+        """Some universities may add further conditions to exclude
+        students from reports. These conditions can be customized in
+        this function.
+        """
+        return False
+
+    def _get_students(self, faccode, depcode, certcode, session, level=None):
+        """Get students in a certain department, studying a certain programmen
+        who registered courses in a certain session at a certain level.
+
+        Returns a list of lists of student data tuples.
+        """
+        site = grok.getSite()
+        cat = queryUtility(ICatalog, name="students_catalog")
+        if certcode == 'all':
+            certcode = None
+        result = cat.searchResults(
+            depcode = (depcode, depcode), faccode = (faccode, faccode),
+            certcode = (certcode, certcode)
+            )
+        students_utils = getUtility(IStudentsUtils)
+        table = list()
+        for i in range(len(students_utils.gpa_boundaries)+1):
+            # The last list is reserved for students with more than one
+            # level in the same session.
+            table.append([])
+        for stud in result:
+            if stud.state == GRADUATED:
+                continue
+            line = (stud.student_id,
+                    stud.matric_number,
+                    stud.display_fullname,
+                    )
+            if level != 0:
+                if not stud['studycourse'].has_key(str(level)):
+                    continue
+                level_obj = stud['studycourse'][str(level)]
+                if level_obj.level_session != session:
+                    continue
+                if self._excluded(level_obj):
+                    continue
+            else:
+                itemcount = 0
+                for item in stud['studycourse'].values():
+                    if item.level_session == session:
+                        level_obj = item
+                        itemcount += 1
+                if itemcount == 0:
+                    # No level registered in this session
+                    continue
+                if itemcount > 1:
+                    # Error: more than one level registered in this session
+                    table[len(students_utils.gpa_boundaries)].append(line)
+                    continue
+            gpaclass = students_utils.getDegreeClassNumber(level_obj)
+            table[gpaclass].append(line)
+            for i in range(len(students_utils.gpa_boundaries)+1):
+                if len(table[i]):
+                    table[i] = sorted([value for value in table[i]],
+                        key=lambda value: value[2])
+        return table
 
     def __init__(self, faccode, depcode, certcode, session, level,
@@ -180,5 +177,5 @@
         self.creation_dt_string = self.creation_dt.astimezone(
             getUtility(IKofaUtils).tzinfo).strftime("%Y-%m-%d %H:%M:%S %Z")
-        self.data = get_students(faccode, depcode, certcode, session, level)
+        self.data = self._get_students(faccode, depcode, certcode, session, level)
 
     def create_pdf(self, job_id):
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_level_report.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_level_report.py	(revision 14604)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_level_report.py	(revision 14605)
@@ -5,5 +5,5 @@
 from waeup.kofa.interfaces import IJobManager
 from waeup.kofa.students.reports.level_report import (
-    get_students, LevelReport, ILevelReport)
+    LevelReport, ILevelReport)
 from waeup.kofa.students.tests.test_catalog import CatalogTestSetup
 from waeup.kofa.students.tests.test_browser import StudentsFullSetup
@@ -65,5 +65,6 @@
         self._add_tickets()
          # we can get a table with one student
-        result = get_students('fac1', 'dep1', 'CERT1', 2010, 100)
+        lr =  LevelReport('fac1', 'dep1', 'CERT1', 2010, 100)
+        result = lr._get_students('fac1', 'dep1', 'CERT1', 2010, 100)
         self.assertEqual(result,
             [(u'1234', u'Bob Tester', 90, 30, '1.666',
@@ -71,5 +72,5 @@
             90, 30, '1.666', '')])
         # same result when selecting all certificates
-        result = get_students('fac1', 'dep1', 'all', 2010, 100)
+        result = lr._get_students('fac1', 'dep1', 'all', 2010, 100)
         self.assertEqual(result,
             [(u'1234', u'Bob Tester', 90, 30, '1.666',
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_raw_score_report.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_raw_score_report.py	(revision 14604)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_raw_score_report.py	(revision 14605)
@@ -10,6 +10,5 @@
 from waeup.kofa.browser.tests.test_pdf import samples_dir
 from waeup.kofa.students.reports.raw_score_report import (
-    get_students, RawScoreReport, IRawScoreReport,
-    get_courses)
+    RawScoreReport, IRawScoreReport)
 
 
@@ -37,5 +36,6 @@
     def test_get_courses(self):
         # we can get a list with one course code
-        result = get_courses('fac1', 'dep1', 'CERT1', 2010, 100)
+        rsr = RawScoreReport('fac1', 'dep1', 'CERT1', 2010, 100)
+        result = rsr._get_courses('fac1', 'dep1', 'CERT1', 2010, 100)
         self.assertEqual(result, [(u'Course1')])
         return
@@ -43,10 +43,13 @@
     def test_get_students(self):
         # we can get a table with one student
-        course_codes = get_courses('fac1', 'dep1', 'CERT1', 2010, 100)
-        result = get_students('fac1', 'dep1', 'CERT1', 2010, 100, course_codes)
+        rsr = RawScoreReport('fac1', 'dep1', 'CERT1', 2010, 100)
+        course_codes = rsr._get_courses('fac1', 'dep1', 'CERT1', 2010, 100)
+        result = rsr._get_students(
+            'fac1', 'dep1', 'CERT1', 2010, 100, course_codes)
         self.assertEqual(result,
             [(u'1234', u'Bob Tester', {'Course1': (70, 'A')})])
         self.student['studycourse']['100']['Course1'].score = None
-        result = get_students('fac1', 'dep1', 'CERT1', 2010, 100, course_codes)
+        result = rsr._get_students(
+            'fac1', 'dep1', 'CERT1', 2010, 100, course_codes)
         self.assertEqual(result,
             [(u'1234', u'Bob Tester', {'Course1': ('Nil', '')})])
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_session_results_presentation.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_session_results_presentation.py	(revision 14604)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_session_results_presentation.py	(revision 14605)
@@ -6,5 +6,5 @@
 from waeup.kofa.interfaces import IJobManager
 from waeup.kofa.students.reports.session_results_presentation import (
-    get_students, SessionResultsPresentation, ISessionResultsPresentation)
+    SessionResultsPresentation, ISessionResultsPresentation)
 from waeup.kofa.students.tests.test_catalog import CatalogTestSetup
 from waeup.kofa.students.tests.test_browser import StudentsFullSetup
@@ -26,5 +26,6 @@
 
     def test_get_students(self):
-        result = get_students('fac1', 'dep1', 'CERT1', 2010, 100)
+        sr = SessionResultsPresentation('fac1', 'dep1', 'CERT1', 2010, 100)
+        result = sr._get_students('fac1', 'dep1', 'CERT1', 2010, 100)
         self.assertEqual(result,
             [[], [], [], [], [], [(u'K1000000', u'1234', u'Bob Tester')], []])
@@ -32,5 +33,6 @@
 
     def test_get_students_at_all_levels(self):
-        result = get_students('fac1', 'dep1', 'CERT1', 2010, 0)
+        sr = SessionResultsPresentation('fac1', 'dep1', 'CERT1', 2010, 100)
+        result = sr._get_students('fac1', 'dep1', 'CERT1', 2010, 0)
         self.assertEqual(result,
             [[], [], [], [], [], [(u'K1000000', u'1234', u'Bob Tester')], []])
@@ -38,5 +40,6 @@
 
     def test_get_students_all_certs(self):
-        result = get_students('fac1', 'dep1', 'all', 2010, 100)
+        sr = SessionResultsPresentation('fac1', 'dep1', 'all', 2010, 100)
+        result = sr._get_students('fac1', 'dep1', 'all', 2010, 100)
         self.assertEqual(result,
             [[], [], [], [], [], [(u'K1000000', u'1234', u'Bob Tester')], []])
@@ -49,5 +52,6 @@
         studylevel.level_session = 2010
         self.student['studycourse']['200'] = studylevel
-        result = get_students('fac1', 'dep1', 'CERT1', 2010, 0)
+        sr = SessionResultsPresentation('fac1', 'dep1', 'CERT1', 2010, 100)
+        result = sr._get_students('fac1', 'dep1', 'CERT1', 2010, 0)
         self.assertEqual(result,
             [[], [], [], [], [], [], [(u'K1000000', u'1234', u'Bob Tester')]])
@@ -56,5 +60,6 @@
     def test_get_students_without_scores(self):
         self.student['studycourse']['100']['Course1'].score = None
-        result = get_students('fac1', 'dep1', 'CERT1', 2010, 0)
+        sr = SessionResultsPresentation('fac1', 'dep1', 'CERT1', 2010, 100)
+        result = sr._get_students('fac1', 'dep1', 'CERT1', 2010, 0)
         self.assertEqual(result,
             [[], [], [], [], [], [], [(u'K1000000', u'1234', u'Bob Tester')]])
@@ -62,5 +67,6 @@
     def test_get_students_without_level_in_session(self):
         self.student['studycourse']['100'].level_session = 2011
-        result = get_students('fac1', 'dep1', 'CERT1', 2010)
+        sr = SessionResultsPresentation('fac1', 'dep1', 'CERT1', 2010, 100)
+        result = sr._get_students('fac1', 'dep1', 'CERT1', 2010)
         self.assertEqual(result,
             [[], [], [], [], [], [], []])